Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command.action
Class InvokePortletWindowActionCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.portal.command.PortalObjectCommand
                  org.jboss.portal.core.model.portal.command.PortalCommand
                      org.jboss.portal.core.model.portal.command.PageCommand
                          org.jboss.portal.core.model.portal.command.WindowCommand
                              org.jboss.portal.core.model.portal.command.action.InvokeWindowCommand
                                  org.jboss.portal.core.model.portal.command.action.InvokePortletWindowCommand
                                      org.jboss.portal.core.model.portal.command.action.InvokePortletWindowActionCommand

    public class InvokePortletWindowActionCommand

extends InvokePortletWindowCommand

Version:
  $Revision: 11068 $
Author:
  Julien Viet

Field Summary
`protected Instance` | `instance` The instance.

Fields inherited from class org.jboss.portal.core.model.portal.command.action.InvokePortletWindowCommand
`mode, navigationalState, windowState`

Fields inherited from class org.jboss.portal.core.model.portal.command.WindowCommand
`window`

Fields inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`page`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`portal`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`dashboard, target, targetId`

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`InvokePortletWindowActionCommand(PortalObjectId windowId, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState, org.jboss.portal.portlet.StateString navigationalState, org.jboss.portal.portlet.StateString interactionState, org.jboss.portal.common.util.ParameterMap formParameters)`

Method Summary
`void` | `acquireResources()`
`protected org.jboss.portal.portlet.controller.request.ContainerRequest` | `createPortletRequest(org.jboss.portal.portlet.info.PortletInfo portletInfo, org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNS, org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState windowNS)`
`org.jboss.portal.common.util.ParameterMap` | `getFormParameters()`
`CommandInfo` | `getInfo()` Return the meta data of this command.
`org.jboss.portal.portlet.StateString` | `getInteractionState()`
`void` | `setFormParameters(org.jboss.portal.common.util.ParameterMap formParameters)`
`void` | `setInteractionState(org.jboss.portal.portlet.StateString interactionState)`

Methods inherited from class org.jboss.portal.core.model.portal.command.action.InvokePortletWindowCommand
`getMode, getNavigationalState, getWindowState`

Methods inherited from class org.jboss.portal.core.model.portal.command.action.InvokeWindowCommand
`execute`

Methods inherited from class org.jboss.portal.core.model.portal.command.WindowCommand
`enforceSecurity, getWindow, initPage`

Methods inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`getPage, initPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`getPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`getTarget, getTargetId, isDashboard`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, getContext, getControllerContext, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected Instance instance

  The instance.

Constructor Detail

### InvokePortletWindowActionCommand

    public InvokePortletWindowActionCommand(PortalObjectId windowId,
                                            org.jboss.portal.Mode mode,
                                            org.jboss.portal.WindowState windowState,
                                            org.jboss.portal.portlet.StateString navigationalState,
                                            org.jboss.portal.portlet.StateString interactionState,
                                            org.jboss.portal.common.util.ParameterMap formParameters)
                                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getInteractionState

    public org.jboss.portal.portlet.StateString getInteractionState()

### setInteractionState

    public void setInteractionState(org.jboss.portal.portlet.StateString interactionState)

### getFormParameters

    public org.jboss.portal.common.util.ParameterMap getFormParameters()

### setFormParameters

    public void setFormParameters(org.jboss.portal.common.util.ParameterMap formParameters)

### getInfo

    public CommandInfo getInfo()

  Description copied from class: `ControllerCommand`
  Return the meta data of this command.

  Specified by:
    `getInfo` in class `ControllerCommand`

### acquireResources

    public void acquireResources()
                          throws NoSuchResourceException

  Overrides:
    `acquireResources` in class `PortalCommand`
  Throws:
    `NoSuchResourceException`

### createPortletRequest

    protected org.jboss.portal.portlet.controller.request.ContainerRequest createPortletRequest(org.jboss.portal.portlet.info.PortletInfo portletInfo,
                                                                                                org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNS,
                                                                                                org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState windowNS)

  Specified by:
    `createPortletRequest` in class `InvokeWindowCommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD